Summary: iSCSI daemon and utility programs
Name: iscsi-initiator-utils
Version: 3.6.2
Release: 7
Source0: http://prdownloads.sourceforge.net/linux-iscsi/linux-iscsi-%{version}.tgz
Patch0: linux-iscsi-3.6.2-redhatify.patch
Patch1: fix_gt26_lun.patch
Patch2: fix_arg_parsing.patch
Group: System Environment/Daemons
License: GPL
URL: http://linux-iscsi.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
Requires: kernel >= 2.4.21-22.EL
Prereq: /sbin/chkconfig
Obsoletes: iscsi
ExcludeArch: ppc s390 s390x

%description
The iscsi package provides the server daemon for the iSCSI protocol,
as well as the utility programs used to manage it. iSCSI is a protocol
for distributed disk access using SCSI commands sent over Internet
Protocol networks.

%prep
%setup -q -n %{name}-%{version} -c
cd linux-iscsi-%{version}
%patch0 -p1 -b .redhatify
%patch1 -p1 -b .fix_gt26
%patch2 -p1 -b .fix_arg

%build
cd linux-iscsi-%{version}
make daemons utils

%install
cd linux-iscsi-%{version}

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/sbin,/usr/sbin,/dev/iscsi}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/{man1,man5,man8}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/sysconfig
install -s -m 755 iscsid utils/iscsi-device utils/iscsi-iname utils/iscsi-ls $RPM_BUILD_ROOT/sbin
# iscsigt I think is development-use-only, and the scripts
# should not be needed in a complete integration
install -m 644 man/iscsi-ls.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 man/iscsid.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 man/iscsi.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 755 misc/scripts/rc.iscsi $RPM_BUILD_ROOT/etc/rc.d/init.d/iscsi
install -m 644 misc/scripts/iscsi $RPM_BUILD_ROOT/etc/sysconfig/iscsi
install -m 644 misc/iscsi.conf $RPM_BUILD_ROOT/etc
echo 'GenerateName=yes' > initiatorname.iscsi
install -m 600 initiatorname.iscsi $RPM_BUILD_ROOT/etc

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add iscsi

%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del iscsi
fi


%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/iscsi
%config /etc/sysconfig/iscsi
%attr(600,root,root) %config(noreplace) /etc/initiatorname.iscsi
%attr(600,root,root) %config(noreplace) /etc/iscsi.conf
%doc linux-iscsi-%{version}/README
/sbin/*
%{_mandir}/*/*

%changelog
* Wed Feb 16 2005 AJ Lewis <alewis@redhat.com> 3.6.2-7
- Added patch to fix argument parsing in iscsi-ls (#137376)
- Exclude ppc, s390, and s390x architectures since there is no driver for them
  there
 
* Wed Feb 16 2005 AJ Lewis <alewis@redhat.com> 3.6.2-6
- Added patch to fix iscsi-ls output when more than 26 LUNs are
  present (#145141)

* Wed Feb 16 2005 AJ Lewis <alewis@redhat.com> 3.6.2-5
- Changed timeout variables in initscript to be configurable via
  /etc/sysconfig/iscsi - this is the initial step to handle properly
  automounting luns (#143151)

* Mon Nov 08 2004 AJ Lewis <alewis@redhat.com> 3.6.2-4
- Removed iscsi-umountall (#137891)
- Error out if driver is in use when stopping iscsi service (#137913)
- Remove iscsi_sfnet module when stopping iscsi service (#137916)
- General more initscript cleanups
- Adjust the README to explain how stopping the iscsi service works now

* Wed Oct 27 2004 AJ Lewis <alewis@redhat.com> 3.6.2-3
- Update requires line
- Really fix #136847

* Tue Oct 26 2004 AJ Lewis <alewis@redhat.com> 3.6.2-2
- Touch /var/lock/subsys/iscsi on start so kill script works (#136847)
- Minor init script cleanup

* Mon Oct 11 2004 AJ Lewis <alewis@redhat.com> 3.6.2-1.4
- Fix kernel this package requires

* Fri Oct 08 2004 AJ Lewis <alewis@redhat.com> 3.6.2-1.3
- Remove the 'chkconfig --del' portion from the post-install script.  This
  would blow away user's previously defined runlevels for the iscsi script if
  they were set.  (#135070)

* Mon Oct 04 2004 AJ Lewis <alewis@redhat.com> 3.6.2-1.2
- Rebuild

* Mon Oct 04 2004 AJ Lewis <alewis@redhat.com> 3.6.2-1.1
- Include s390 and s390x

* Mon Oct 04 2004 AJ Lewis <alewis@redhat.com> 3.6.2-1
- Rebuild

* Fri Oct 01 2004 AJ Lewis <alewis@redhat.com> 3.6.2-0.4
- Rebuild

* Thu Sep 30 2004 AJ Lewis <alewis@redhat.com> 3.6.2-0.3
- Updated init script portion of patch.  Includes temporary fix for daemon
  not closing stderr.

* Wed Sep 29 2004 AJ Lewis <alewis@redhat.com> 3.6.2-0.2
- 'chkconfig --del' iscsi if chkconfig has iscsi registered.  We want the stop
  priority to be changed to 89 from the previous 20, and this is the only way
  to do it that I can see.

* Wed Sep 29 2004 AJ Lewis <alewis@redhat.com> 3.6.2-0.1
- Update to 3.6.2 upstream

* Wed Jul 14 2004 AJ Lewis <alewis@redhat.com> 3.6.0.2-0.1
- update to 3.6.0.2 upstream
- add iscsi-ls to installed binaries
- add iscsi-ls.1 manpage to man1
- remove /dev/iscsi reference (no longer used)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun 05 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 03 2003 Michael K. Johnson <johnsonm@redhat.com> 3.1.0.3-3
- rebuild, 3.1.0.3-3

* Mon Nov 11 2002 Michael K. Johnson <johnsonm@redhat.com>
- Fixed typo in initscript to allow to function

* Thu Oct 17 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 3.1.0.3 for draft 16 compliance
- /etc/initiatorname.iscsi should be mode 600
- C++ all gone, no need for libstdc++ static link

* Wed Aug 14 2002 Bob Matthews <bmatthews@redhat.com>
- fix perms on /etc/iscsi.conf

* Mon Jul 15 2002 Michael K. Johnson <johnsonm@redhat.com>
- add status function

* Thu May 02 2002 Michael K. Johnson <johnsonm@redhat.com>
- hack to link statically against libstdc++ so /sbin does not depend on /usr

* Wed Apr 10 2002 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.1.0.20

* Fri Oct 26 2001 Than Ngo <than@redhat.com> 2.0.1.8-3
- cleanup startup script
- add excludearch s390 s390x

* Tue Aug 28 2001 Michael K. Johnson <johnsonm@redhat.com>
- clean up shutdown (#52440)

* Mon Aug 13 2001 Michael K. Johnson <johnsonm@redhat.com>
- update to 2.0.1.8 for draft 6 compliance

* Mon Aug 13 2001 Bob Matthews <bmatthews@redhat.com>
- fix typo in initscripts (#51585)

* Tue Jul 31 2001 Bill Nottingham <notting@redhat.com>
- fix up initscript output (#50502)

* Wed Jul 25 2001 Jeremy Katz <katzj@redhat.com>
- source /etc/init.d/functions in the initscript

* Tue Jul 24 2001 Michael K. Johnson <johnsonm@redhat.com>
- initial packaging
